SDL_MessageBoxButtonData(3type)

NAME
SDL_MessageBoxButtonData - Individual button data.

HEADER FILE
Defined in SDL3/SDL_messagebox.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_MessageBoxButtonData
{
    Uint32 flags;       /**< ::SDL_MessageBoxButtonFlags */
    int buttonID;       /**< User defined button id (value returned via SDL_ShowMessageBox) */
    const char *text;   /**< The UTF-8 button text */
} SDL_MessageBoxButtonData;

AVAILABILITY
This struct is available since SDL 3.0.0.